Bug 172083 - speedtouch driver generates errors
speedtouch driver generates errors
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2005-10-30 20:58 EST by Motor
Modified: 2008-05-06 11:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 11:32:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Motor 2005-10-30 20:58:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-UK; rv:1.7.12) Gecko/20050922 Fedora Firefox/1.0.7

Description of problem:

After following the instructions for getting a Thompson/Alcatel Speedtouch 330 USB ADSL modem running under Fedora Core 4, the system functions correctly, connects just fine and runs without problems.

After using the system/connection for a while, when I use "dmesg" I find occasional error messages in the log:

   ATM dev 0: error -110 fetching device status

However, this does not appear to stop the ADSL modem from working normally (and the device functions apparently perfectly under Windows 98SE also). I'm working under the  (naive) assumption that is a non-critical bug in the speedtouch driver and reporting it, although I do realise this report doesn't narrow things down much. :)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Followed the instructions here http://www.linux-usb.org/SpeedTouch/fedora/
2. System functions normally and is happily uploading/downloading
2. After excercising the system for a while, run dmesg

Actual Results:  The log contains occasional lines like this:

ATM dev 0: error -110 fetching device status

Additional info:

rpm -qi kernel

Version     : 2.6.13
Release     : 1.1532_FC4
Comment 1 Pete Zaitcev 2005-10-30 21:45:03 EST
The -110 is a timeout.

I don't think I can find a time to act upon this, unless the nuisance of
messages is extreme enough to overflow your /var.
Comment 2 Motor 2005-10-31 04:50:14 EST
It's an occasional message ('dmesg' shows it appearing 10 times since a reboot
at noon yesterday) and as I said, the speedtouch seems to be working fine. I
just wanted to note the matter in case there was something more subtle/serious
going wrong.
Comment 3 Pete Zaitcev 2005-10-31 04:57:43 EST
If there's no leak, I would not be concerned.

Check your /proc/slabinfo for a few days and if it does not show relevant
growth, you can close this report.
Comment 4 Motor 2005-11-04 15:21:43 EST
I am unable to determine whether the error message is linked with any kind of leak. 

As instructed I am closing the bug. In the meantime I will continue to monitor
it and try to find some more hard information by asking around. Thanks.
Comment 5 Motor 2006-05-12 05:35:18 EDT
I've been keeping an eye on this problem since I reported it (and subsequently
closed it). The USB ADSL modem occasionally loses sync with the exchange and
remains that way until unplugged from the USB port and reinsterted -- at which
point it resyncs and works normally. I can't say whether that problem is related
to the error message I described here (the modem handles syncing outside the
machine, so I suppose not). However, after unplugging/plugging, I found this
information in dmesg... and given the discussion of "leaks" I thought it worth
reopening the bug and noting it:

ATM dev 0: error -110 fetching device status
ATM dev 0: DSL line goes down
ATM dev 0: ADSL line is down
ATM dev 0: ADSL line is synchronising
ATM dev 0: ADSL line is down
ATM dev 0: ADSL line is synchronising
ATM dev 0: ADSL line is down
ATM dev 0: ADSL line is synchronising
ATM dev 0: ADSL line is down
ATM dev 0: ADSL line is synchronising
ATM dev 0: ADSL line is down
ATM dev 0: ADSL line is synchronising
ATM dev 0: ADSL line is down
ATM dev 0: ADSL line is synchronising
vcc_sock_destruct: wmem leakage (110376 bytes) detected.
ATM dev 0: usbatm_complete: urb 0xdf0856a0 failed (-84)!
ATM dev 0: usbatm_complete: urb 0xdf085520 failed (-71)!
ATM dev 0: usbatm_complete: urb 0xdf085620 failed (-84)!
ATM dev 0: usbatm_complete: urb 0xdf0854a0 failed (-71)!
ATM dev 0: usbatm_complete: urb 0xdf0857a0 failed (-84)!
ATM dev 0: usbatm_complete: urb 0xdf085420 failed (-71)!
ATM dev 0: usbatm_complete: urb 0xdf085720 failed (-84)!
ATM dev 0: usbatm_complete: urb 0xdf0855a0 failed (-71)!
ATM dev 0: usbatm_complete: urb 0xdf085520 failed (-71)!
ATM dev 0: usbatm_complete: urb 0xdf0856a0 failed (-84)!
usb 1-2: USB disconnect, address 3
usb 1-2: new full speed USB device using uhci_hcd and address 4
usb 1-2: configuration #1 chosen from 1 choice
usb 1-2: reset full speed USB device using uhci_hcd and address 4
speedtch 1-2:1.0: found stage 1 firmware speedtch-1.bin
speedtch 1-2:1.0: found stage 2 firmware speedtch-2.bin
ATM dev 0: ADSL line is synchronising
ATM dev 0: ADSL line is up (2272 kb/s down | 288 kb/s up)
Comment 6 Dave Jones 2006-09-16 21:49:39 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 7 Motor 2006-09-17 05:33:11 EDT
I can confirm that all of the reported information above is still relevant in
Fedora Core 5. 
Comment 8 Dave Jones 2006-10-16 16:40:00 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 9 Motor 2006-10-17 04:06:40 EDT
The issue still occurs in the latest FC5: kernel-2.6.18-1.2200.fc5
Comment 10 petrosyan 2008-03-10 12:18:51 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?
Comment 11 Bug Zapper 2008-04-03 22:03:41 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 12 Bug Zapper 2008-05-06 11:32:04 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.